Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356283 - Remote control no longer working with F24 kernel
Summary: Remote control no longer working with F24 kernel
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-13 21:15 UTC by Göran Uddeborg
Modified: 2017-08-08 15:35 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:35:11 UTC


Attachments (Terms of Use)

Description Göran Uddeborg 2016-07-13 21:15:40 UTC
Description of problem:
I have a media box with a TV-card which includes a remote control.  Recently I upgraded this from F21 (yes, I know it was overdue) to F24.  After that, the remote control no longer works.  Nothing happens when I press the keys.  As far as I can tell, no key strokes are recognized.

I tried to boot with the old F21 kernel (4.1.13-100.fc21) again.  Then the remote control started working again.  The userspace and boot parameters are the same, only the choosen kernel changed.

I'm using the remote as a regular keyboard, without LIRC.  I've added an entry in /etc/rc_maps.cfg to use a dedicated keycode file with a few tweaks, that I have put in /etc/rc_keymaps.  Otherwise, I believe I'm using default settings, at least as far as I can remember.

Running "xinput", the remote is listed both under the old and new kernel.

If I do ir-keytable, only the "lirc" protocol is supported and enabled under the new kernel.  Under the old kernel, there are a long list of supported protocols, and the one that gets chosen as enabled is rc-5.


Version-Release number of selected component (if applicable):
kernel-4.6.3-300.fc24.x86_64


How reproducible:
Every time.


Steps to Reproduce:
1. Press keys on the remote


Actual results:
Nothing happens


Expected results:
The application (MythTV) acting on the keys pressed.

Additional info:
This is a diskless PXE-booting box.  I doubt that is relevant here, but since it is non-standard I thought I'd better mention it.

This is the journal from the area where the card and remote is registered from a boot using the F24 kernel:

jul 13 19:21:15 pluto kernel: saa7134: saa7130/34: v4l2 driver version 0, 2, 17 loaded
jul 13 19:21:15 pluto kernel: saa7134: saa7133[0]: found at 0000:03:05.0, rev: 209, irq: 20, latency: 64, mmio: 0xfebff800
jul 13 19:21:15 pluto kernel: saa7134: saa7133[0]: subsystem: 1043:4876, board: ASUSTeK P7131 Hybrid [card=112,autodetected]
jul 13 19:21:15 pluto kernel: saa7134: saa7133[0]: board init: gpio is 40000
jul 13 19:21:15 pluto kernel: kvm: Nested Virtualization enabled
jul 13 19:21:15 pluto kernel: kvm: Nested Paging enabled
jul 13 19:21:15 pluto kernel: input: HDA ATI HDMI HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:01.0/0000:01:05.1/sound/card1/input7
jul 13 19:21:15 pluto kernel: snd_hda_codec_realtek hdaudioC0D3: autoconfig for ALC888: line_outs=4 (0x14/0x15/0x16/0x17/0x0) type:line
jul 13 19:21:15 pluto kernel: snd_hda_codec_realtek hdaudioC0D3:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
jul 13 19:21:15 pluto kernel: Registered IR keymap rc-asus-pc39
jul 13 19:21:15 pluto kernel: input: saa7134 IR (ASUSTeK P7131 Hybri as /devices/pci0000:00/0000:00:14.4/0000:03:05.0/rc/rc0/input6
jul 13 19:21:15 pluto kernel: rc rc0: saa7134 IR (ASUSTeK P7131 Hybri as /devices/pci0000:00/0000:00:14.4/0000:03:05.0/rc/rc0
jul 13 19:21:16 pluto kernel: snd_hda_codec_realtek hdaudioC0D3:    hp_outs=1 (0x1b/0x0/0x0/0x0/0x0)
jul 13 19:21:16 pluto kernel: snd_hda_codec_realtek hdaudioC0D3:    mono: mono_out=0x0
jul 13 19:21:16 pluto kernel: snd_hda_codec_realtek hdaudioC0D3:    dig-out=0x1e/0x0
jul 13 19:21:16 pluto kernel: snd_hda_codec_realtek hdaudioC0D3:    inputs:
jul 13 19:21:16 pluto kernel: snd_hda_codec_realtek hdaudioC0D3:      Front Mic=0x19
jul 13 19:21:16 pluto kernel: snd_hda_codec_realtek hdaudioC0D3:      Rear Mic=0x18
jul 13 19:21:16 pluto kernel: lirc_dev: IR Remote Control driver registered, major 242 
jul 13 19:21:16 pluto kernel: snd_hda_codec_realtek hdaudioC0D3:      Line=0x1a
jul 13 19:21:16 pluto kernel: input: HDA ATI SB Front Mic as /devices/pci0000:00/0000:00:14.2/sound/card0/input8
jul 13 19:21:16 pluto kernel: input: HDA ATI SB Rear Mic as /devices/pci0000:00/0000:00:14.2/sound/card0/input9
jul 13 19:21:16 pluto kernel: rc rc0: lirc_dev: driver ir-lirc-codec (saa7134) registered at minor = 0
jul 13 19:21:16 pluto kernel: IR LIRC bridge handler initialized


For comparison, this is how it looks when I boot with the old F21 kernel:

jul 13 22:43:10 pluto kernel: saa7130/34: v4l2 driver version 0, 2, 17 loaded
jul 13 22:43:10 pluto kernel: saa7133[0]: found at 0000:03:05.0, rev: 209, irq: 20, latency: 64, mmio: 0xfebff800
jul 13 22:43:10 pluto kernel: saa7133[0]: subsystem: 1043:4876, board: ASUSTeK P7131 Hybrid [card=112,autodetected]
jul 13 22:43:10 pluto kernel: saa7133[0]: board init: gpio is 40000
jul 13 22:43:10 pluto avahi-daemon[616]: Found user 'avahi' (UID 70) and group 'avahi' (GID 70).
jul 13 22:43:10 pluto avahi-daemon[616]: Successfully dropped root privileges.
jul 13 22:43:10 pluto avahi-daemon[616]: avahi-daemon 0.6.32 starting up.
jul 13 22:43:10 pluto kernel: Registered IR keymap rc-asus-pc39
jul 13 22:43:10 pluto kernel: input: saa7134 IR (ASUSTeK P7131 Hybri as /devices/pci0000:00/0000:00:14.4/0000:03:05.0/rc/rc0/input6
jul 13 22:43:10 pluto kernel: rc0: saa7134 IR (ASUSTeK P7131 Hybri as /devices/pci0000:00/0000:00:14.4/0000:03:05.0/rc/rc0
jul 13 22:43:10 pluto kernel: IR NEC protocol handler initialized
jul 13 22:43:10 pluto kernel: IR RC5(x/sz) protocol handler initialized
jul 13 22:43:10 pluto kernel: IR RC6 protocol handler initialized
jul 13 22:43:10 pluto kernel: IR Sony protocol handler initialized
jul 13 22:43:10 pluto kernel: IR JVC protocol handler initialized
jul 13 22:43:10 pluto kernel: IR SANYO protocol handler initialized
jul 13 22:43:10 pluto kernel: IR Sharp protocol handler initialized
jul 13 22:43:10 pluto kernel: input: MCE IR Keyboard/Mouse (saa7134) as /devices/virtual/input/input7
jul 13 22:43:10 pluto kernel: IR MCE Keyboard/mouse protocol handler initialized
jul 13 22:43:10 pluto kernel: lirc_dev: IR Remote Control driver registered, major 246 
jul 13 22:43:10 pluto kernel: IR XMP protocol handler initialized
jul 13 22:43:10 pluto kernel: ip6_tables: (C) 2000-2006 Netfilter Core Team
jul 13 22:43:10 pluto kernel: rc rc0: lirc_dev: driver ir-lirc-codec (saa7134) registered at minor = 0
jul 13 22:43:10 pluto kernel: IR LIRC bridge handler initialized

Comment 1 Göran Uddeborg 2016-08-16 19:43:45 UTC
Ah, after some further investigation I realized I could get the other protocols back by manually loading the additional modules.  A "modprobe ir-rc5-decoder" made the remote work again.

Apparently there has been some changes in the dependency relations.  Automating the loading is of course trivia.  But is the change in what gets loaded by default intentional?  Is the idea that we who need those modules add them ourselves?

Comment 2 Laura Abbott 2016-09-23 19:09:50 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.
 
Fedora 24 has now been rebased to 4.7.4-200.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 25, and are still experiencing this issue, please change the version to Fedora 25.
 
If you experience different issues, please open a new bug report for those.

Comment 3 Göran Uddeborg 2016-09-27 09:43:23 UTC
No change in kernel-4.7.4-200.fc24.x86_64.  The remote still doesn't work by default.  If I manually load ir-rc5-decoder (or add a file in /etc/modules-load.d to automate it), it starts working.

Comment 4 Justin M. Forbes 2017-04-11 14:53:00 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 5 Göran Uddeborg 2017-04-12 21:10:13 UTC
The current kernel works if one explicitly loads the ir-rc5-decoder kernel module.  What I'm not clear over is, if it is a bug I have to do this explicitly, or if it is an intentional change of policy.

Comment 6 Fedora End Of Life 2017-07-25 21:47:49 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Göran Uddeborg 2017-07-28 11:47:48 UTC
In F26, with kernel-4.11.11-300.fc26.x86_64, the RC5 drivers gets loaded automatically again.  This report may expire with F24.

Comment 8 Fedora End Of Life 2017-08-08 15:35:11 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.